带字母的动作
/v1/mailboxes/{mailbox_id}/messages/actions对一个文件夹中选定的邮件应用一项操作。将它们的 ID 传递给 uids,将文件夹名称传递给 folder 及其 uidvalidity. 对于 action=move,还将目标文件夹指定为 destination.
要求
curl -X POST 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/messages/actions' \ -H 'Authorization: Bearer <access_token>' \ -H 'Content-Type: application/json' \ --data '{"folder":"INBOX","uidvalidity":1,"uids":[1],"action":"read"}'选项
mailbox_idpath一定integerX-Customer-IDheader- 选项 1
string选项 2null
请求正文 · application/json
object
folder一定string文件夹列表中的文件夹名称,例如 INBOX.
minLength: 1maxLength: 255uidvalidity一定integer该值是来自此文件夹的响应 API 的 uidvalidity 。
exclusiveMinimum: 0uids一定array从一个文件夹中选定的字母的标识符。
minItems: 1maxItems: 100数组元素integeraction一定string有效值:
"read""unread""star""unstar""move""delete"destination目标文件夹名称。 action=move. 所需
选项 1stringmaxLength: 255选项 2null
不接受未知字段。
响应
200 成功回复
application/json
object
updatedboolean
401 需要登录
application/json
object
detail- 选项 1
string选项 2objectcodestringmessagestring
选项 3array数组元素object
403 无法访问
application/json
object
detail- 选项 1
string选项 2objectcodestringmessagestring
选项 3array数组元素object
404 找不到资源
application/json
object
detail- 选项 1
string选项 2objectcodestringmessagestring
选项 3array数组元素object
409 国家冲突
application/json
object
detail- 选项 1
string选项 2objectcodestringmessagestring
选项 3array数组元素object
422 验证错误
application/json
object
detailarray数组元素objectloc一定array数组元素选项 1string选项 2integermsg一定stringtype一定string
503 暂时无法使用
application/json
object
detail- 选项 1
string选项 2objectcodestringmessagestring
选项 3array数组元素object